#include <bits/stdc++.h>
using namespace std;
int n,k,a[100004],r,t,m;
int main()
{
      cin >> t;
      while(t--){
          cin >> n >> m>>k;
          if(n==k){
              cout << "Nie" << endl;
              }
              else if(n*2<m){
                  cout <<"Tak"<< endl;
                  }
                  else if(n<k){
                      cout << "Nie"<<endl;
                      }
          
          
          
          
          }
     
    
    return 0;
    }